Bug 855282 - logind slows down ssh logins by ~200ms
logind slows down ssh logins by ~200ms
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 04:09 EDT by Osamu MATSUMOTO
Modified: 2013-08-01 07:24 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:24:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Osamu MATSUMOTO 2012-09-07 04:09:53 EDT
Description of problem:
- Sometimes ssh login too slow
- When blocking login, I get backgrace  from sshd. It's polling dbus socket file.
- And I gdb to dbus process also, It's polling too.
#0  0x00000038376e8ea4 in __GI___poll (fds=fds@entry=0x7fffd8a44f10, nfds=nfds@entry=5, timeout=timeout@entry=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:83
#1  0x000000000042c8f8 in _dbus_poll (fds=fds@entry=0x7fffd8a44f10, n_fds=n_fds@entry=5, timeout_milliseconds=timeout_milliseconds@entry=-1)
    at dbus-sysdeps-unix.c:2413
#2  0x000000000043066d in _dbus_loop_iterate (loop=loop@entry=0xe2c1b0, block=block@entry=1) at dbus-mainloop.c:717
#3  0x0000000000430aad in _dbus_loop_run (loop=0xe2c1b0) at dbus-mainloop.c:893
#4  0x00000000004041e6 in main (argc=<optimized out>, argv=<optimized out>) at main.c:520

Version-Release number of selected component (if applicable):
- fedora17 ( 3.3.7 custom)
- openssh-5.9p1-22.fc17.x86_64
- dbus-1.4.10-4.fc17.x86_64

How reproducible:

Steps to Reproduce:
1. $  while true ; do /usr/bin/time -f "%E" ssh fedora17host "exit" ; done 
2. It take non-uniform login speed
Comment 1 Osamu MATSUMOTO 2012-10-24 23:41:11 EDT
we got workaround for this issue.

Disable pam_systemd.so from /etc/pam.d/password-auth-ac 

high speed login needed by fast deploying to massive servers.
Comment 2 Michal Schmidt 2012-10-25 09:04:06 EDT
(In reply to comment #0)
> Steps to Reproduce:
> 1. $  while true ; do /usr/bin/time -f "%E" ssh fedora17host "exit" ; done 
> 2. It take non-uniform login speed

How big are the delays that you are seeing? Could you show us the measured times? Or at least an order of magnitude?
Comment 3 Osamu MATSUMOTO 2012-10-25 23:09:23 EDT
>How big are the delays that you are seeing? Could you show us the measured times? Or at least an order of magnitude?

$ while true ; do /usr/bin/time -f "%E" ssh fedora17 "exit" ; done
0:00.96
0:00.67
0:00.10
0:00.26
0:00.95
0:02.37
0:00.27
0:04.36
0:00.09
0:00.39
0:00.09
0:00.11
0:00.09
0:00.13
0:00.10
0:00.43
0:00.31
0:01.68
0:00.14
0:00.33
0:00.09
0:00.48
0:00.27
0:03.06
0:00.09
0:01.16

$ while true ; do /usr/bin/time -f "%E" ssh fedora17-disable-systemd "exit" ; done
0:00.08
0:00.08
0:00.08
0:00.08
0:00.08
0:00.08
0:00.08
0:00.08
0:00.08
0:00.08

When login delay occurred, systemd-journal seems process state 'D'.
Comment 5 Jóhann B. Guðmundsson 2013-06-15 13:19:05 EDT
Matthias what's the current status on this?
Comment 6 Fedora End Of Life 2013-07-03 23:34:45 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 07:24:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.